
QGIS Application - Feature request #587

Render Output Image at Arbitrary Resolution

2007-02-12 05:13 AM - cbsled-verizon-net -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10646

Description

It would be useful to be able to render an output image file at any arbitrary resolution. The desired resolution would most often be the

original resolution of a raster layer in the project. The feature should allow selection of arbitrary areas.

Currently, a selected area is output at screen resolution. This results in a poor quality image file if the selected area has a higher resolution

than what will fit on the screen.

History

#1 - 2009-07-16 11:38 AM - Paolo Cavallini

Is this still true?

#2 - 2010-11-15 05:42 PM - Volker Fröhlich

Does the below do the job, assuming the cell size is 10 and the extent as specified?

qgis --snapshot --width 1000 --height 1000 --extent 0,0,100,100

#3 - 2011-03-03 03:36 PM - Volker Fröhlich

- Resolution set to fixed

- Status changed from Open to Closed

Print composer's "Export as image" should give you these possibilities as well.

Re-open if necessary
